Page MenuHomePhabricator

eio/fallback: remove intermediate idler
ClosedPublic

Authored by zmike on Jun 26 2018, 3:31 PM.

Details

Summary

for some reason, the fallback thread would exit -> create timer ->
create idler -> create thread; the existence of the idler makes little
sense and introduces variability in the timer interval

@fix
Depends on D6440

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jun 26 2018, 3:31 PM
zmike requested review of this revision.Jun 26 2018, 3:31 PM
ManMower accepted this revision.Jun 27 2018, 9:38 AM

Weird, I can't come up with a reason to use an idler.

This revision is now accepted and ready to land.Jun 27 2018, 9:38 AM
Closed by commit rEFL062f6cabdd0c: eio/fallback: remove intermediate idler (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 28 2018, 9:11 AM
This revision was automatically updated to reflect the committed changes.